PATCH
/api/onboard/details
const url = 'https://example.com/api/onboard/details';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"invitationId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","firstName":"example","lastName":"example","phone":"example","addressLine1":"example","city":"example","state":"example","postCode":"example","country":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://example.com/api/onboard/details \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "invitationId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "firstName": "example", "lastName": "example", "phone": "example", "addressLine1": "example", "city": "example", "state": "example", "postCode": "example", "country": "example" }'Saves the personal-details step. Safe to call more than once. The wizard re-sends this on every Continue.
Authorizations
Section titled “Authorizations ”Request Body
Section titled “Request Body ”object
invitationId
string format: uuid
firstName
required
string
lastName
required
string
phone
string
addressLine1
string
city
string
state
string
postCode
string
country
string
Example generated
{ "invitationId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "firstName": "example", "lastName": "example", "phone": "example", "addressLine1": "example", "city": "example", "state": "example", "postCode": "example", "country": "example"}object
invitationId
string format: uuid
firstName
required
string
lastName
required
string
phone
string
addressLine1
string
city
string
state
string
postCode
string
country
string
Example generated
{ "invitationId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "firstName": "example", "lastName": "example", "phone": "example", "addressLine1": "example", "city": "example", "state": "example", "postCode": "example", "country": "example"}object
invitationId
string format: uuid
firstName
required
string
lastName
required
string
phone
string
addressLine1
string
city
string
state
string
postCode
string
country
string
Example generated
{ "invitationId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "firstName": "example", "lastName": "example", "phone": "example", "addressLine1": "example", "city": "example", "state": "example", "postCode": "example", "country": "example"}Responses
Section titled “ Responses ”No Content
Bad Request
Media type application/json
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
key
additional properties
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Conflict
Media type application/json
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
key
additional properties
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}